<?xml version="1.0"?>
<!-- 
  This stylesheet is used to for generate a property file for ant.

  @author Philip Rutherford
  @version 12 Feb 2011
 -->
 
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Text, we output a properties file -->
<xsl:output encoding="UTF-8" method="text" />

<xsl:template match="/">

  <xsl:variable name="propertyfile" select="//section[@id='propertyfile-config']/body"/>
  <xsl:text>pswebsite.propertyfile=</xsl:text>
  <xsl:value-of select="if ($propertyfile) then $propertyfile else 'website.properties'"/>
  <xsl:text>&#xA;</xsl:text>

  <xsl:variable name="singlegroup" select="//section[@id='singlegroup-config']/body"/>
  <xsl:text>pswebsite.singlegroup=</xsl:text>
  <xsl:value-of select="if ($singlegroup='false') then 'false' else 'true'"/>
  <xsl:text>&#xA;</xsl:text>
 
</xsl:template>

</xsl:stylesheet>
